- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaMove Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for change in keyframe value or time.

This function set is used for keyframe deltas of type MFn::kKeyframeDeltaMove. These keyframe deltas are generated from 'move' events. For example, the user drags or scales a key from one position to another.

`#include <MFnKeyframeDeltaMove.h>`

Inheritance diagram for MFnKeyframeDeltaMove:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaMove ()
| Destructor.
| MFnKeyframeDeltaMove ()
| Default constructor.
| MFnKeyframeDeltaMove (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MTime | previousTime (MStatus *ReturnStatus=NULL) const
| The previous time value of this key.
MTime | currentTime (MStatus *ReturnStatus=NULL) const
| The current/current time value.
double | previousValue (MStatus *ReturnStatus=NULL) const
| The previous value of the key prior to the change.
double | currentValue (MStatus *ReturnStatus=NULL) const
| The current value of the key.
unsigned int | previousIndex (MStatus *ReturnStatus=NULL) const
| The previous index value of this key.
virtual unsigned int | keyIndex (MStatus *ReturnStatus=NULL) const
| The current index value of this key.
| MFnKeyframeDeltaMove (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnKeyframeDeltaMove | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaMove | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaMove.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaMove".

Reimplemented from MFnKeyframeDelta.

MTime previousTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The previous time value of this key.

Parameters:

  [out] | ReturnStatus | Return Code

Returns:
  A MTime containing the previous time of this key.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime currentTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The current/current time value.

Parameters:

  [out] | ReturnStatus | Status code.

Returns:
  A MTime containing the current time of this key.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

double previousValue | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The previous value of the key prior to the change.

The value corresponds to the units of the animation curve.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A double representing the previous value of the key.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

double currentValue | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The current value of the key.

The value corresponds to the units of the animation curve.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  A double representing the current value of the key.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

unsigned int previousIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The previous index value of this key.

If a key has been moved over another key then you can use this previous index to figure out where the key was moved from.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An unsigned value representing the previous index of this key on the curve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

unsigned int keyIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const `[virtual]`

Search for all occurrences

The current index value of this key.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An unsigned value representing the current index of this key on the curve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

Reimplemented from MFnKeyframeDelta.

MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove
MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove MFnKeyframeDeltaMove